# Generated by Django 2.2.12 on 2020-06-03 05:48

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('continents', models.CharField(max_length=50)),
                ('countryShortCode', models.CharField(max_length=20)),
                ('countryName', models.CharField(max_length=50)),
                ('countryFullName', models.CharField(max_length=50)),
                ('currentConfirmedCount', models.IntegerField(default=0)),
                ('confirmedCount', models.IntegerField(default=0)),
                ('suspectedCount', models.IntegerField(default=0)),
                ('curedCount', models.IntegerField(default=0)),
                ('deadCount', models.IntegerField(default=0)),
                ('showRank', models.BooleanField(null=True)),
                ('deadRateRank', models.IntegerField(null=True)),
                ('deadCountRank', models.IntegerField(null=True)),
                ('confirmedCountRank', models.FloatField(null=True)),
                ('deadRate', models.FloatField(null=True)),
                ('tags', models.CharField(max_length=200, null=True)),
                ('statisticsData', models.CharField(max_length=500, null=True)),
                ('comment', models.CharField(max_length=200, null=True)),
                ('incrVo', models.TextField(null=True)),
                ('sort', models.IntegerField(null=True)),
                ('operator', models.CharField(max_length=50, null=True)),
                ('dailyData', models.TextField()),
                ('createTime', models.DateTimeField(auto_now_add=True, verbose_name='createTime')),
                ('modifyTime', models.DateTimeField(auto_now=True, verbose_name='modifyTime')),
            ],
            options={
                'verbose_name': 'Country',
                'verbose_name_plural': 'Country',
            },
        ),
        migrations.CreateModel(
            name='Province',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('provinceName', models.CharField(max_length=50, verbose_name='provinceName')),
                ('provinceShortName', models.CharField(max_length=20, verbose_name='provinceShortName')),
                ('currentConfirmedCount', models.IntegerField(default=0, verbose_name='currentConfirmedCount')),
                ('confirmedCount', models.IntegerField(default=0, verbose_name='confirmedCount')),
                ('suspectedCount', models.IntegerField(default=0, verbose_name='suspectedCount')),
                ('curedCount', models.IntegerField(default=0, verbose_name='curedCount')),
                ('deadCount', models.IntegerField(default=0, verbose_name='deadCount')),
                ('dailyUrl', models.CharField(max_length=500, verbose_name='dailyUrl')),
                ('dailyData', models.TextField(verbose_name='dailyData')),
                ('createTime', models.DateTimeField(auto_now_add=True, verbose_name='createTime')),
                ('modifyTime', models.DateTimeField(auto_now=True, verbose_name='modifyTime')),
            ],
            options={
                'verbose_name': 'Province',
                'verbose_name_plural': 'Province',
            },
        ),
        migrations.CreateModel(
            name='State',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('countryShortCode', models.CharField(max_length=20)),
                ('stateName', models.CharField(max_length=50)),
                ('currentUrl', models.URLField(blank=True, null=True)),
                ('dailyUrl', models.URLField(blank=True, null=True)),
                ('dailyData', models.TextField(default='[]')),
                ('state', models.CharField(max_length=10)),
                ('positive', models.IntegerField(blank=True, null=True)),
                ('negative', models.IntegerField(blank=True, null=True)),
                ('positiveScore', models.IntegerField(blank=True, null=True)),
                ('negativeScore', models.IntegerField(blank=True, null=True)),
                ('negativeRegularScore', models.IntegerField(blank=True, null=True)),
                ('commercialScore', models.IntegerField(blank=True, null=True)),
                ('score', models.IntegerField(blank=True, null=True)),
                ('notes', models.TextField(blank=True, null=True)),
                ('dataQualityGrade', models.CharField(blank=True, max_length=20, null=True)),
                ('pending', models.IntegerField(blank=True, null=True)),
                ('hospitalizedCurrently', models.IntegerField(blank=True, null=True)),
                ('hospitalizedCumulative', models.IntegerField(blank=True, null=True)),
                ('inIcuCurrently', models.IntegerField(blank=True, null=True)),
                ('inIcuCumulative', models.IntegerField(blank=True, null=True)),
                ('onVentilatorCurrently', models.IntegerField(blank=True, null=True)),
                ('onVentilatorCumulative', models.IntegerField(blank=True, null=True)),
                ('recovered', models.IntegerField(blank=True, null=True)),
                ('lastUpdateEt', models.CharField(blank=True, max_length=20, null=True)),
                ('checkTimeEt', models.CharField(blank=True, max_length=20, null=True)),
                ('death', models.IntegerField(blank=True, null=True)),
                ('hospitalized', models.IntegerField(blank=True, null=True)),
                ('totalTestResults', models.IntegerField(blank=True, null=True)),
                ('posNeg', models.IntegerField(blank=True, null=True)),
                ('fips', models.CharField(blank=True, max_length=20, null=True)),
                ('dateModified', models.CharField(blank=True, max_length=50, null=True)),
                ('dateChecked', models.CharField(blank=True, max_length=50, null=True)),
                ('hash', models.CharField(blank=True, max_length=100, null=True)),
            ],
            options={
                'verbose_name': 'State',
                'verbose_name_plural': 'State',
            },
        ),
        migrations.CreateModel(
            name='Statistics',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('globalStatistics', models.TextField(default='{}', verbose_name='globalStatistics')),
                ('domesticStatistics', models.TextField(default='{}', verbose_name='domesticStatistics')),
                ('internationalStatistics', models.TextField(default='{}', verbose_name='internationalStatistics')),
                ('remarks', models.TextField(default='[]', verbose_name='remarks')),
                ('notes', models.TextField(default='[]', verbose_name='notes')),
                ('generalRemark', models.TextField(default='', verbose_name='generalRemark')),
                ('WHOArticle', models.TextField(default='{}', verbose_name='WHOArticle')),
                ('recommends', models.TextField(default='[]', verbose_name='recommends')),
                ('timelines', models.TextField(default='[]', verbose_name='timelines')),
                ('wikis', models.TextField(default='[]', verbose_name='Wiki')),
                ('goodsGuides', models.TextField(default='[]', verbose_name='goodsGuides')),
                ('rumors', models.TextField(default='[]', verbose_name='rumors')),
                ('modifyTime', models.DateTimeField(null=True, verbose_name='modifyTime')),
                ('createTime', models.DateTimeField(null=True, verbose_name='createTime')),
                ('crawlTime', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='crawlTime')),
            ],
            options={
                'verbose_name': 'Statistics',
                'verbose_name_plural': 'Statistics',
            },
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cityName', models.CharField(max_length=50, verbose_name='cityName')),
                ('currentConfirmedCount', models.IntegerField(default=0, verbose_name='currentConfirmedCount')),
                ('confirmedCount', models.IntegerField(default=0, verbose_name='confirmedCount')),
                ('suspectedCount', models.IntegerField(default=0, verbose_name='suspectedCount')),
                ('curedCount', models.IntegerField(default=0, verbose_name='curedCount')),
                ('deadCount', models.IntegerField(default=0, verbose_name='deadCount')),
                ('createTime', models.DateTimeField(auto_now_add=True, verbose_name='createTime')),
                ('modifyTime', models.DateTimeField(auto_now=True, verbose_name='modifyTime')),
                ('province', models.ForeignKey(db_column='provinceId', on_delete=django.db.models.deletion.CASCADE, related_name='cities', to='django_covid19.Province', verbose_name='province')),
            ],
            options={
                'verbose_name': 'City',
                'verbose_name_plural': 'City',
            },
        ),
    ]
